com.genesyslab.wfm8.API.service.forecast810

## Class FrcActivityDataIndicator

- java.lang.Object
- - com.genesyslab.wfm8.API.service.forecast810.FrcActivityDataIndicator

- All Implemented Interfaces:
    java.io.Serializable

      public class FrcActivityDataIndicator
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `activityId` Activity ID if Site ID is not 0, otherwise Multi-site Activity ID and buId are not 0.
    `protected boolean` | `ahTexists` True if Average Handle Time data exists
    `protected int` | `buId` Business Unit ID
    `protected boolean` | `cSexists` True if Calculated staffing data exists
    `protected boolean` | `iVexists` True if Interaction Volume data exists
    `protected boolean` | `rSexists` True if Required staffing data exists
    `private static long` | `serialVersionUID`
    `protected int` | `siteId` Site ID

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FrcActivityDataIndicator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getActivityId()` Gets the activityId value for this FrcActivityDataIndicator.
    `int` | `getBuId()` Gets the buId value for this FrcActivityDataIndicator.
    `int` | `getSiteId()` Gets the siteId value for this FrcActivityDataIndicator.
    `int` | `hashCode()`
    `boolean` | `isAHTexists()` Gets the ahTexists value for this FrcActivityDataIndicator.
    `boolean` | `isCSexists()` Gets the cSexists value for this FrcActivityDataIndicator.
    `boolean` | `isIVexists()` Gets the iVexists value for this FrcActivityDataIndicator.
    `boolean` | `isRSexists()` Gets the rSexists value for this FrcActivityDataIndicator.
    `void` | `setActivityId(int activityId)` Sets the activityId value for this FrcActivityDataIndicator.
    `void` | `setAHTexists(boolean ahTexists)` Sets the ahTexists value for this FrcActivityDataIndicator.
    `void` | `setBuId(int buId)` Sets the buId value for this FrcActivityDataIndicator.
    `void` | `setCSexists(boolean cSexists)` Sets the cSexists value for this FrcActivityDataIndicator.
    `void` | `setIVexists(boolean iVexists)` Sets the iVexists value for this FrcActivityDataIndicator.
    `void` | `setRSexists(boolean rSexists)` Sets the rSexists value for this FrcActivityDataIndicator.
    `void` | `setSiteId(int siteId)` Sets the siteId value for this FrcActivityDataIndicator.
    `java.lang.String` | `toString()`
    `FrcActivityDataIndicator` | `withActivityId(int value)`
    `FrcActivityDataIndicator` | `withAHTexists(boolean value)`
    `FrcActivityDataIndicator` | `withBuId(int value)`
    `FrcActivityDataIndicator` | `withCSexists(boolean value)`
    `FrcActivityDataIndicator` | `withIVexists(boolean value)`
    `FrcActivityDataIndicator` | `withRSexists(boolean value)`
    `FrcActivityDataIndicator` | `withSiteId(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### siteId

          protected int siteId

      Site ID

    - #### activityId

          protected int activityId

      Activity ID if Site ID is not 0, otherwise Multi-site Activity ID and buId are not 0.

    - #### buId

          protected int buId

      Business Unit ID

    - #### iVexists

          protected boolean iVexists

      True if Interaction Volume data exists

    - #### ahTexists

          protected boolean ahTexists

      True if Average Handle Time data exists

    - #### cSexists

          protected boolean cSexists

      True if Calculated staffing data exists

    - #### rSexists

          protected boolean rSexists

      True if Required staffing data exists

  - ### Constructor Detail

    - #### FrcActivityDataIndicator

          public FrcActivityDataIndicator()

  - ### Method Detail

    - #### getSiteId

          public int getSiteId()

      Gets the siteId value for this FrcActivityDataIndicator.
      Returns:
        siteId

    - #### setSiteId

          public void setSiteId(int siteId)

      Sets the siteId value for this FrcActivityDataIndicator.
      Parameters:
        `siteId` -

    - #### getActivityId

          public int getActivityId()

      Gets the activityId value for this FrcActivityDataIndicator.
      Returns:
        activityId

    - #### setActivityId

          public void setActivityId(int activityId)

      Sets the activityId value for this FrcActivityDataIndicator.
      Parameters:
        `activityId` -

    - #### getBuId

          public int getBuId()

      Gets the buId value for this FrcActivityDataIndicator.
      Returns:
        buId

    - #### setBuId

          public void setBuId(int buId)

      Sets the buId value for this FrcActivityDataIndicator.
      Parameters:
        `buId` -

    - #### isIVexists

          public boolean isIVexists()

      Gets the iVexists value for this FrcActivityDataIndicator.
      Returns:
        iVexists

    - #### setIVexists

          public void setIVexists(boolean iVexists)

      Sets the iVexists value for this FrcActivityDataIndicator.
      Parameters:
        `iVexists` -

    - #### isAHTexists

          public boolean isAHTexists()

      Gets the ahTexists value for this FrcActivityDataIndicator.
      Returns:
        ahTexists

    - #### setAHTexists

          public void setAHTexists(boolean ahTexists)

      Sets the ahTexists value for this FrcActivityDataIndicator.
      Parameters:
        `ahTexists` -

    - #### isCSexists

          public boolean isCSexists()

      Gets the cSexists value for this FrcActivityDataIndicator.
      Returns:
        cSexists

    - #### setCSexists

          public void setCSexists(boolean cSexists)

      Sets the cSexists value for this FrcActivityDataIndicator.
      Parameters:
        `cSexists` -

    - #### isRSexists

          public boolean isRSexists()

      Gets the rSexists value for this FrcActivityDataIndicator.
      Returns:
        rSexists

    - #### setRSexists

          public void setRSexists(boolean rSexists)

      Sets the rSexists value for this FrcActivityDataIndicator.
      Parameters:
        `rSexists` -

    - #### withActivityId

          public FrcActivityDataIndicator withActivityId(int value)

    - #### withSiteId

          public FrcActivityDataIndicator withSiteId(int value)

    - #### withBuId

          public FrcActivityDataIndicator withBuId(int value)

    - #### withAHTexists

          public FrcActivityDataIndicator withAHTexists(boolean value)

    - #### withCSexists

          public FrcActivityDataIndicator withCSexists(boolean value)

    - #### withIVexists

          public FrcActivityDataIndicator withIVexists(boolean value)

    - #### withRSexists

          public FrcActivityDataIndicator withRSexists(boolean value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.